#!/bin/bash
mults="1 100"
algs="sag saga"
datasets="covtype rcv1_train.binary w8a real-sim news20.binary yahookr yahoojp url_combined HIGGS kdda kddb kdd12.svm criteo.trva webspam_wc_normalized_trigram.svm"
for mult in $mults; do
    for dataset in $datasets; do
        for alg in $algs; do
            echo "Executing test: "$dataset"."$alg"."$mult".1e-10"
            python scikit_train.py -d $dataset -m $mult -s $alg > $dataset.$alg.$mult.1e-10.log
        done
    done
done

echo "Benchmark completed."

